EDIT - feature request #5575

DNA Sample requires CacheStrategy
02/18/2016 10:45 AM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal

Description

What exactly do we want to have in a generic DnaSample Cache Strategy? Is it possible to have a common strategy? A pure DNA
Sample only derived from field unit may have different requirements than a sample in a full derivation hierarchy.

Discuss with users: #4585

See also #5573 and #5581

Related issues:

Related to EDIT - feature request #7612: CacheStrategy for MediaSpecimens Duplicate
Related to EDIT - task #9455: Merge DnaSample and DerivedUnit New
Related to EDIT - task #9595: Use DerivedUnit or DnaSample for DnaSampleGener... Closed
Related to EDIT - task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies Closed
Related to EDIT - feature request #5573: Cache Strategy for Media Specimen re... Closed

Associated revisions

Revision a30452ad - 01/09/2021 11:21 AM - Andreas Miuller

ref #5575 add first version of DnaSample cache strategy

Revision 493cdee0 - 02/03/2021 01:02 PM - Andreas Miiller

ref #5575 refactor initialization of cache strategy (initialize when needed, not in constructor)

Revision 05f06f64 - 02/03/2021 01:10 PM - Andreas Miiller

ref #9443, ref #5575 tissue sample as DnaSample generation and initialization of DNA sample cache strategies

Revision e651eaf3 - 04/30/2021 09:26 AM - Andreas Miiller

ref #7612, ref #5573, ref #5575 use mostSignificantldentifier instead of accession number only

Revision 8aaabf50 - 05/04/2021 10:02 AM - Andreas Miiller

ref #9595 |, ref #5575 use DnaSampleCacheStrategy in DerivateLabelProvider

History

#1 - 01/09/2021 01:36 AM - Andreas Miiller

- Related to feature request #7612: CacheStrategy for MediaSpecimens added

#2 - 01/09/2021 01:37 AM - Andreas Miiller
- Description updated

- Private changed from Yes to No

#3 - 01/09/2021 11:24 AM - Andreas Miiller

- Status changed from New to In Progress

- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 5.19

- % Done changed from 0 to 30
https://dev.e-taxonomy.eu/redmine/issues/5573
https://dev.e-taxonomy.eu/redmine/issues/5581

| added a very first version for DNASample cache strategy to avoid the -titteCache not availble- messages

#4 - 02/05/2021 06:04 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.21

As TissueSample are currently still handled as DnaSample modellwise (to allow adding of sequences directly without DnaSample intermediate) we
need to distinguish the correct CacheStrategy depending on the SpecimenOrObservationType. This can only be done after constructing the object as
otherwise the type has not been filled by hibernate yet for persistent objects.

Therefore | refactored the initialization of cache strategies in the way that they are only loaded when needed: 493cdee0c5

#5 - 02/05/2021 06:05 PM - Andreas Miiller
- Related to task #9455: Merge DnaSample and DerivedUnit added

#6 - 02/06/2021 06:44 PM - Andreas Miller

- Status changed from In Progress to Resolved

#7 - 02/06/2021 06:44 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.20

#8 - 04/30/2021 09:51 PM - Andreas Miiller
- Related to task #9595: Use DerivedUnit or DnaSample for DnaSampleGeneralDetailElement added

#9 - 04/30/2021 10:35 PM - Andreas Miller

- Target version changed from Release 5.20 to Release 5.25

#10 - 04/30/2021 10:37 PM - Andreas Miiller

- Status changed from Resolved to Feedback

The initialization of the cache strategy does not seem to fully work yet. See comment in #9595#note-2

#11 - 05/17/2021 01:44 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23

#12 - 05/21/2021 08:38 AM - Andreas Miiller
- % Done changed from 30 to 80

#13 - 06/25/2021 10:35 AM - Andreas Miiller
- Related to task #9678: Remove Derived- and FieldUnitFacadeCacheStrategies added

#14 - 07/01/2021 03:23 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Not sure if this is already fully fixed but it needs to be adapted/tested anyway once we unify DnaSample with DerivedUnit class. Also we have an
explicit DerivedUnitDefaultCacheStrategy now (#9678) which may improve the situation with cache strategy loading.

So for now | close this ticket.

#15 - 03/11/2022 05:53 PM - Andreas Miiller
- Related to feature request #5573: Cache Strategy for Media Specimen required added
